# Trait yii\db\ExpressionBuilderTrait

Implemented by | yii\db\ExpressionBuilder, yii\db\QueryExpressionBuilder, yii\db\conditions\BetweenColumnsConditionBuilder, yii\db\conditions\BetweenConditionBuilder, yii\db\conditions\ConjunctionConditionBuilder, yii\db\conditions\ExistsConditionBuilder, yii\db\conditions\HashConditionBuilder, yii\db\conditions\InConditionBuilder, yii\db\conditions\LikeConditionBuilder, yii\db\conditions\NotConditionBuilder, yii\db\conditions\SimpleConditionBuilder, yii\db\cubrid\conditions\LikeConditionBuilder, yii\db\mssql\conditions\InConditionBuilder, yii\db\mssql\conditions\LikeConditionBuilder, yii\db\mysql\JsonExpressionBuilder, yii\db\oci\conditions\InConditionBuilder, yii\db\oci\conditions\LikeConditionBuilder, yii\db\pgsql\ArrayExpressionBuilder, yii\db\pgsql\JsonExpressionBuilder, yii\db\sqlite\conditions\InConditionBuilder, yii\db\sqlite\conditions\LikeConditionBuilder
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/ExpressionBuilderTrait.php

Trait ExpressionBuilderTrait provides common constructor for classes that should implement yii\db\ExpressionBuilderInterface

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$queryBuilder | yii\db\QueryBuilder |  | yii\db\ExpressionBuilderTrait

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | ExpressionBuilderTrait constructor. | yii\db\ExpressionBuilderTrait

## Property Details

$queryBuilder protected property
protected yii\db\QueryBuilder $queryBuilder = null

## Method Details

__construct() public method

ExpressionBuilderTrait constructor.

public void __construct ( yii\db\QueryBuilder $queryBuilder )
$queryBuilder | yii\db\QueryBuilder |